<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <com.pengxh.kt.lite.widget.TitleBarView
        android:id="@+id/titleView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/themeColor"
        app:tbv_show_left_image="false"
        app:tbv_show_right_image="true"
        app:tbv_smaller_title="true"
        app:tbv_text="地下管线电子标识探测仪"
        app:tbv_text_color="@color/white" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="@dimen/dp_5">

        <Button
            android:id="@+id/installButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_35"
            android:layout_weight="1"
            android:text="安装" />

        <Button
            android:id="@+id/viewButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_35"
            android:layout_marginHorizontal="@dimen/dp_5"
            android:layout_weight="1"
            android:text="查看" />

        <Button
            android:id="@+id/inspectionButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_35"
            android:layout_weight="1"
            android:text="巡检" />

        <Button
            android:id="@+id/detectionButton"
            style="@style/MainButtonStyle"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_35"
            android:layout_marginStart="@dimen/dp_5"
            android:layout_weight="1"
            android:text="探测" />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.amap.api.maps.MapView
            android:id="@+id/mapView"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <androidx.cardview.widget.CardView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_margin="@dimen/dp_7"
            app:cardCornerRadius="@dimen/dp_7"
            app:cardElevation="@dimen/dp_5">

            <ImageButton
                android:id="@+id/aimButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_7"
                android:src="@drawable/ic_aim" />
        </androidx.cardview.widget.CardView>

        <com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton
            android:id="@+id/stopFreeTaskButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|end"
            android:layout_marginHorizontal="@dimen/dp_10"
            android:layout_marginVertical="@dimen/dp_25"
            android:gravity="center"
            android:theme="@style/Theme.MaterialComponents"
            android:visibility="gone"
            app:backgroundTint="@color/red"
            app:icon="@android:drawable/checkbox_off_background"
            app:iconPadding="0dp"
            app:iconTint="@color/white" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:background="@color/themeColor"
            android:orientation="vertical">

            <!-- TODO 后期删除 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="原生GPS："
                    android:textColor="@color/white" />

                <TextView
                    android:id="@+id/nativeGpsView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:singleLine="true"
                    android:textColor="@color/white" />
            </LinearLayout>

            <!-- TODO 后期删除 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="高德定位："
                    android:textColor="@color/white" />

                <TextView
                    android:id="@+id/gdGpsView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:singleLine="true"
                    android:textColor="@color/white" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="@dimen/dp_60"
                    android:layout_height="@dimen/dp_20"
                    android:scaleType="fitXY"
                    android:src="@mipmap/casic_203" />

                <TextView
                    android:id="@+id/currentLocationView"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginHorizontal="@dimen/dp_3"
                    android:layout_weight="1"
                    android:background="@color/themeOpacityColor"
                    android:gravity="center_vertical"
                    android:singleLine="true"
                    android:text="@string/app_name"
                    android:textColor="@color/white" />
            </LinearLayout>
        </LinearLayout>
    </FrameLayout>
</LinearLayout>